unit ARBfragmentProgram;

interface

uses Windows, SysUtils, GL, GLu, GLext, WGLext, GLtools, ARBprograms;

type
  TARBfragmentProgram = class(TARBprogram)
  protected
  public
    constructor Create; reintroduce;
    destructor Destroy; override;
  end;

implementation

constructor TARBfragmentProgram.Create;
begin
  if not glext_ExtensionSupported('GL_ARB_fragment_program') then
    raise Exception.Create('GL_ARB_fragment_program required!');

  inherited Create(GL_FRAGMENT_PROGRAM_ARB);
end;

destructor TARBfragmentProgram.Destroy;
begin
  inherited Destroy;
end;

end.
